openage

Fórum: 

Sziasztok!

Szeretném ezt a játékot openage felrakrni, de nem sikerül.

Ez alapján próbáltam: https://github.com/SFTtech/openage/blob/master/doc/build_instructions/ubuntu.md

Az ott írt parancsokat beírtam a terminálba, de semmi.

Tud valaki segíteni?

Köszönöm.

 

Üdv:

Laci

kimarite képe

nyan

#3 Nem nehéz pedig első ránézésre. :-)

Értékelés: 

0
Még nincs értékelve
kimarite képe

Openage

#4 Nagyjából így kell telepíteni:

A telepítés módszerének egy részlete

https://github.com/SFTtech/openage/blob/master/doc/building.md

Frissítési információk lekérése

sudo apt-get update

Függőségek (Openage)

sudo apt-get install cmake cython3 libeigen3-dev libepoxy-dev libfontconfig1-dev libfreetype6-dev libharfbuzz-dev libogg-dev libopus-dev libopusfile-dev libpng-dev libsdl2-dev libsdl2-image-dev python3-dev python3-jinja2 python3-numpy python3-pil python3-pip python3-pygments qml-module-qtquick-controls qtdeclarative5-dev

Egyéb fejlesztői eszközök

sudo apt-get install cmake flex make gcc g++ clang git doxygen graphviz build-essential libgoogle-perftools-dev google-perftools libncurses5-dev libncursesw5-dev

Nyan

git clone https://github.com/SFTtech/nyan.git
cd nyan/
mkdir build
cd build/
cmake ..
make -j$(nproc)
cd

Openage

git clone https://github.com/SFTtech/openage.git
cd openage/
./configure
make
make run

De ennek a megoldásához már késő van:

make run
[  1%] Automatic MOC for target libopenage
bin/run game
INFO [py] launching openage v0.3.0-1401-gfa813181
INFO [py] compiled by GNU 7.3.0
INFO [py] running in DEVMODE
INFO [py] No converted assets have been found
INFO [py] Game specification version file not found.
INFO [py] Converting graphics, interface, metadata, sounds
INFO [py] Will save to '/home/kim/openage/assets'
Could not find any installation directory automatically.
Please enter an AOE2 install path manually.
>

Hasonló probléma: https://github.com/SFTtech/openage/issues/778
Nyilván kéne neki egy játék. Ami valahol van (és ez a megoldás):

Please enter an AOE2 install path manually.
> /Users/anon/Documents/age2hd/attempt2/
converting from '/Users/anon/Documents/age2hd/attempt2'
INFO [py] Game version(s) detected:
INFO [py]  * Age of Empires 2: HD + African Kingdoms (Version 4.7+)
INFO [py]  * Age of Empires 2: The Conquerors, Patch 1.0c
INFO [py]  * Age of Empires 2: Forgotten Empires
INFO [py]  * Age of Empires 2: HD Edition (Version 3.0+)
INFO [py]  * Age of Empires 2: HD + Forgotten Empires (Version 4.0+)
INFO [py] converting metadata
INFO [py] [0] palette
INFO [py] [1] empires.dat
INFO [py] [2] blendomatic.dat
INFO [py] [3] player color palette
INFO [py] [4] terminal color palette
INFO [py] [5] string resources

Értékelés: 

0
Még nincs értékelve

Szia!

Szia!

Köszi.

Én is úgy értelmeztem, hogy kell neki az AoE II. De az winfosos.

Ezért is adtam fel, hogy játszak vele. Nem szeretném újra a windost feltenni.

 

Üdv:

Laci

Értékelés: 

0
Még nincs értékelve
kimarite képe

Szia!

#6 Az Openage egy játék kliens ezekre a játékokra. Játék kliens a Steam is. Minden ugyanúgy jelenik meg benne, mint az eredetiben. Legalábbis ez a cél. Kell neki egy DVD, CD vagy képfájként csatol játék könyvtár. Hallgas egy kis zenét (nem ugyanaz): https://play0ad.bandcamp.com/

A MS rendszerének a nevét így említsd: Windows. Köszi

Értékelés: 

0
Még nincs értékelve
keraform képe

FOSS

#9
Igen, van aki összekeveri a legegyszerübb dolgokat is.
Nem minden oprációs rendszer FOSS.
A Windows például nem az.
A Linux viszont igen.

Értékelés: 

5
Átlag: 5 (1 szavazat)

FOSS

#10 Ne keverd ne keverd mert van aki nem érti smiley

Értékelés: 

0
Még nincs értékelve
keraform képe

FOSS

#11 Ezt nem bírtam kihagyni!

Értékelés: 

0
Még nincs értékelve
kimarite képe

Szia!

#6 Kimaradt egy

sudo make install

parancs. Ez után:

make -j$(nproc)

Értékelés: 

0
Még nincs értékelve

Szia!

#13 Szia!

Köszönöm.

Bocs a win.-ért.

Ha lesz időm kifogom próbálni.

Szerinted elég ha csak letöltöm az AoE II-t, vagy telepíteni is kell Wine alatt?

Köszi.

Üdv:

Laci

Értékelés: 

0
Még nincs értékelve